#ifndef _PAGERCENTRAL_H_
#define _PAGERCENTRAL_H_

#include <stdio.h>
#include <pthread.h>

/* simple data structures used to omit additional libraries or C++ STL */

typedef struct pagec_config_t {
  struct pagec_pager_t *pagers;
  int mesage_id_last;
} pagec_config_t;

typedef struct pagec_message_t {
  struct pagec_message_t *next;
  int message_id;
  int sender_id;
  char *message_text;
} pagec_message_t;

typedef struct pagec_pager_t {
  struct pagec_pager_t *next;
  int pager_id;
  int pin;
  pagec_message_t *messages_head;
  pagec_message_t **messages_ptail;
} pagec_pager_t;

typedef struct pagec_client_context_t {
  int terminated;
  int sock;
  FILE *sock_file;
  pthread_t threadid;
} pagec_client_context_t;

#endif /*_PAGERCENTRAL_H_*/
